Bug 172111 - [PATCH] games/doom
Summary: [PATCH] games/doom
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-27 09:00 UTC by Chris Petrik
Modified: 2012-10-06 09:37 UTC (History)
0 users

See Also:


Attachments
file.diff (866 bytes, patch)
2012-09-27 09:00 UTC, Chris Petrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petrik 2012-09-27 09:00:18 UTC
Add in License data for doom.
Remove dist site as it's no longer running.

Fix: Patch attached with submission follows:
Comment 1 Alex Kozlov freebsd_committer 2012-09-28 05:44:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 2 Chris Petrik 2012-10-02 02:17:57 UTC
Sent an email but have not gotten a reply, I am pretty sure code is GPLv1

Chris
Comment 3 dfilter service freebsd_committer 2012-10-06 09:02:16 UTC
Author: ak
Date: Sat Oct  6 08:02:07 2012
New Revision: 305342
URL: http://svn.freebsd.org/changeset/ports/305342

Log:
  - Add license
  - Convert Makefile headers to new style
  - Update MASTER_SITES
  
  PR:	ports/172111
  Submitted by:	Chris Petrik <c.petrik.sosa@gmail.com> (maintainer)

Modified:
  head/games/doom-data/Makefile   (contents, props changed)
  head/games/doom/Makefile   (contents, props changed)

Modified: head/games/doom-data/Makefile
==============================================================================
--- head/games/doom-data/Makefile	Sat Oct  6 08:01:29 2012	(r305341)
+++ head/games/doom-data/Makefile	Sat Oct  6 08:02:07 2012	(r305342)
@@ -1,16 +1,12 @@
-# New ports collection makefile for:	doom-data
-# Date created:				21 Sep 2005
-# Whom:					Alejandro Pulver <alejandro@varnet.biz>
-#
 # $FreeBSD$
-#
+# Created by:	Alejandro Pulver <alejandro@varnet.biz>
 
 PORTNAME=	data
 PORTVERSION=	1.0
 PORTREVISION=	1
 CATEGORIES=	games
-MASTER_SITES=	http://www.ijs.si/~lesi/distfiles/doom/ \
-		http://distfiles.officialunix.com/
+MASTER_SITES=	http://www.ijs.si/~lesi/distfiles/doom/
+
 PKGNAMEPREFIX=	${DMPKGNAMEPREFIX}
 EXTRACT_SUFX=	.bz2
 DISTFILES=	#

Modified: head/games/doom/Makefile
==============================================================================
--- head/games/doom/Makefile	Sat Oct  6 08:01:29 2012	(r305341)
+++ head/games/doom/Makefile	Sat Oct  6 08:02:07 2012	(r305342)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:    games
-# Date created:         Mon Dec 14 21:03:01 MET 1998
-# Whom:                 jmz
-#
 # $FreeBSD$
-#
+# Created by:	Jean-Marc Zucconi <jmz@FreeBSD.org>
 
 PORTNAME=	doom
 PORTVERSION=	1.10
@@ -15,6 +11,8 @@ DISTNAME=	doomsrc
 MAINTAINER=	c.petrik.sosa@gmail.com
 COMMENT=	DOOM: the game and the sound server
 
+LICENSE=	GPLv1
+
 NO_CDROM=	requested by IDsoftware
 
 ONLY_FOR_ARCHS=	i386
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Alex Kozlov freebsd_committer 2012-10-06 09:37:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!